Get Persona
curl --request GET \
--url https://cloud.onyx.app/api/persona/{persona_id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_public": true,
"is_visible": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"user_file_ids": [
"<string>"
],
"display_priority": 123,
"is_default_persona": true,
"builtin_persona": true,
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"definition": {},
"display_name": "<string>",
"in_code_tool_id": "<string>",
"custom_headers": [
"<unknown>"
],
"passthrough_auth": true,
"mcp_server_id": 123,
"user_id": "<string>",
"oauth_config_id": 123,
"oauth_config_name": "<string>",
"enabled": true,
"chat_selectable": true,
"agent_creation_selectable": true,
"default_enabled": false
}
],
"labels": [
{
"id": 123,
"name": "<string>"
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
},
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
],
"groups": [
123
],
"document_sets": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"cc_pair_summaries": [
{
"id": 123,
"name": "<string>"
}
],
"is_up_to_date": true,
"is_public": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"federated_connector_summaries": [
{
"id": 123,
"name": "<string>",
"source": "federated_slack",
"entities": {}
}
]
}
],
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"num_chunks": 123,
"llm_relevance_filter": false,
"llm_filter_extraction": false,
"system_prompt": "<string>",
"replace_base_system_prompt": false,
"task_prompt": "<string>",
"datetime_aware": true,
"search_start_date": "2023-11-07T05:31:56Z"
}Agents
Get Agent
GET
/
persona
/
{persona_id}
Get Persona
curl --request GET \
--url https://cloud.onyx.app/api/persona/{persona_id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"name": "<string>",
"description": "<string>",
"is_public": true,
"is_visible": true,
"uploaded_image_id": "<string>",
"icon_name": "<string>",
"user_file_ids": [
"<string>"
],
"display_priority": 123,
"is_default_persona": true,
"builtin_persona": true,
"starter_messages": [
{
"name": "<string>",
"message": "<string>"
}
],
"tools": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"definition": {},
"display_name": "<string>",
"in_code_tool_id": "<string>",
"custom_headers": [
"<unknown>"
],
"passthrough_auth": true,
"mcp_server_id": 123,
"user_id": "<string>",
"oauth_config_id": 123,
"oauth_config_name": "<string>",
"enabled": true,
"chat_selectable": true,
"agent_creation_selectable": true,
"default_enabled": false
}
],
"labels": [
{
"id": 123,
"name": "<string>"
}
],
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
},
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
],
"groups": [
123
],
"document_sets": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"cc_pair_summaries": [
{
"id": 123,
"name": "<string>"
}
],
"is_up_to_date": true,
"is_public": true,
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
123
],
"federated_connector_summaries": [
{
"id": 123,
"name": "<string>",
"source": "federated_slack",
"entities": {}
}
]
}
],
"llm_model_provider_override": "<string>",
"llm_model_version_override": "<string>",
"num_chunks": 123,
"llm_relevance_filter": false,
"llm_filter_extraction": false,
"system_prompt": "<string>",
"replace_base_system_prompt": false,
"task_prompt": "<string>",
"datetime_aware": true,
"search_start_date": "2023-11-07T05:31:56Z"
}Authorizations
Authorization header with Bearer token
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I